> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get forecasted costs for a cost report

> Return all ForecastedCosts.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /cost_reports/{cost_report_token}/forecasted_costs
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /cost_reports/{cost_report_token}/forecasted_costs:
    get:
      tags:
        - Costs
      summary: Get forecasted costs for a cost report
      description: Return all ForecastedCosts.
      operationId: getForecastedCosts
      parameters:
        - name: cost_report_token
          in: path
          required: true
          schema:
            type: string
        - name: start_date
          in: query
          description: >-
            First date you would like to filter forecasted costs from. ISO 8601
            formatted.
          schema:
            type: string
            format: date
        - name: end_date
          in: query
          description: >-
            Last date you would like to filter forecasted costs from. ISO 8601
            formatted.
          schema:
            type: string
            format: date
        - name: provider
          in: query
          description: >-
            Limit the forecasted costs to a specific provider. 'all' is accepted
            to filter to overall forecast.
          schema:
            type: string
            enum:
              - aws
              - azure
              - gcp
              - snowflake
              - databricks
              - mongo
              - datadog
              - fastly
              - new_relic
              - opencost
              - open_ai
              - oracle
              - confluent
              - planetscale
              - coralogix
              - kubernetes
              - custom_provider
              - github
              - linode
              - grafana
              - clickhouse
              - temporal
              - twilio
              - azure_csp
              - kubernetes_agent
              - anthropic
              - anyscale
              - cursor
              - elastic
              - vercel
              - redis_cloud
              - circle_ci
              - modal
              - eleven_labs
              - baseten
              - cloudflare
              - fireworks_ai
              - all
        - name: service
          in: query
          description: >-
            Limit the forecasted costs to a specific service. 'all' is accepted
            to filter to overall forecast. e.g. 'Amazon ElastiCache'.
          schema:
            type: string
        - name: page
          in: query
          description: The page of results to return.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The amount of results to return. The maximum is 1000.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForecastedCosts'
              example:
                links:
                  self: >-
                    https://api.vantage.sh/v2/cost_reports/rprt_106b4bfcc2a03f63/forecasted_costs
                  first: >-
                    https://api.vantage.sh/v2/cost_reports/rprt_106b4bfcc2a03f63/forecasted_costs?page=1
                  next: null
                  last: >-
                    https://api.vantage.sh/v2/cost_reports/rprt_106b4bfcc2a03f63/forecasted_costs?page=1
                  prev: null
                forecasted_costs:
                  - date: '2024-07-04T00:00:00Z'
                    amount: '10.0'
                    provider: all
                    service: all
                  - date: '2024-07-04T00:00:00Z'
                    amount: '10.0'
                    provider: aws
                    service: Amazon Elastic Compute Cloud - Compute
                  - date: '2024-07-04T00:00:00Z'
                    amount: '10.0'
                    provider: azure
                    service: Virtual Machines
                  - date: '2024-07-05T00:00:00Z'
                    amount: '10.0'
                    provider: all
                    service: all
                  - date: '2024-07-05T00:00:00Z'
                    amount: '10.0'
                    provider: aws
                    service: Amazon Elastic Compute Cloud - Compute
                  - date: '2024-07-05T00:00:00Z'
                    amount: '10.0'
                    provider: azure
                    service: Virtual Machines
                  - date: '2024-07-06T00:00:00Z'
                    amount: '10.0'
                    provider: all
                    service: all
                  - date: '2024-07-06T00:00:00Z'
                    amount: '10.0'
                    provider: aws
                    service: Amazon Elastic Compute Cloud - Compute
                  - date: '2024-07-06T00:00:00Z'
                    amount: '10.0'
                    provider: azure
                    service: Virtual Machines
                currency: USD
      security:
        - oauth2:
            - read
components:
  schemas:
    ForecastedCosts:
      required:
        - currency
        - forecasted_costs
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        forecasted_costs:
          type: array
          items:
            $ref: '#/components/schemas/ForecastedCost'
        currency:
          type: string
          description: The currency of the forecasted costs.
          nullable: true
          example: USD
      description: ForecastedCosts model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    ForecastedCost:
      required:
        - amount
        - date
        - provider
        - service
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        date:
          type: string
          description: >-
            The date the forecasted cost is projected to accrue. ISO 8601
            Formatted.
          nullable: false
          example: 2035-09-05+00:00
        amount:
          type: string
          description: The amount of the forecasted cost.
          nullable: false
          example: '4.25'
        provider:
          type: string
          description: >-
            The cost provider which incurred the cost. Will be 'all' for all
            combined providers.
          nullable: false
          example: aws
          enum:
            - aws
            - azure
            - gcp
            - snowflake
            - databricks
            - mongo
            - datadog
            - fastly
            - new_relic
            - opencost
            - open_ai
            - oracle
            - confluent
            - planetscale
            - coralogix
            - kubernetes
            - custom_provider
            - github
            - linode
            - grafana
            - clickhouse
            - temporal
            - twilio
            - azure_csp
            - kubernetes_agent
            - anthropic
            - anyscale
            - cursor
            - elastic
            - vercel
            - redis_cloud
            - circle_ci
            - modal
            - eleven_labs
            - baseten
            - cloudflare
            - fireworks_ai
            - all
        service:
          type: string
          description: >-
            The service for the forecasted cost. Will be 'all' for all combined
            services
          nullable: false
          example: Amazon Elastic Compute Cloud - Compute
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````